Page MenuHomewrite.as

Support OAuth2 authentication
Closed, ResolvedPublic

Description

Overview

Allow users to authenticate with external services like Snap.as using their Write.as account. This will also enable Micropub publishing here in the future.

Implementation

Use a library like osin with osin-mysql to implement /oauth/... endpoints.

Related Objects

StatusAssignedTask
Resolvedmatt
Resolvedmatt

Event Timeline

matt created this task.Nov 26 2017, 8:10 PM
matt added a subtask: Restricted Maniphest Task.Nov 26 2017, 8:35 PM
matt closed subtask Restricted Maniphest Task as Resolved.Dec 8 2017, 10:24 AM
matt removed matt as the assignee of this task.Dec 9 2017, 5:48 PM
matt lowered the priority of this task from High to Wishlist.
matt added a project: Federation.

Tried this path, but it ended up being overkill for Snap.as authentication. Instead, we'll add this to support Micropub publishing to Write.as in the future.

matt changed the visibility from "Restricted Project (Project)" to "Public (No Login Required)".Nov 7 2018, 5:23 PM
matt added a project: WriteFreely.
matt moved this task from Backlog to Soon / v1.0 on the WriteFreely board.Nov 7 2019, 5:02 AM
matt added a parent task: Restricted Maniphest Task.Mar 3 2020, 3:37 PM
matt closed this task as Resolved.Apr 20 2020, 10:44 PM
matt claimed this task.

This is live and working well for the Write.as forum, with Write.as as the OAuth provider. WriteFreely has support as an OAuth client.